# Uses of Class
org.codehaus.janino.Java.ArrayInitializer

Packages that use Java.ArrayInitializer
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ArrayInitializer in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.ArrayInitializer
Modifier and Type
Field
Description
`final Java.ArrayInitializer`
Java.NewInitializedArray.`arrayInitializer`
The (mandatory) initializer for the array.
Methods in org.codehaus.janino that return Java.ArrayInitializer
Modifier and Type
Method
Description
`Java.ArrayInitializer`
Parser.`parseArrayInitializer()`
ArrayInitializer := '{' [ VariableInitializer { ',' VariableInitializer } [ ',' ] '}'
Methods in org.codehaus.janino with parameters of type Java.ArrayInitializer
Modifier and Type
Method
Description
`R`
Visitor.ArrayInitializerOrRvalueVisitor.`visitArrayInitializer(Java.ArrayInitializer ai)`
Constructors in org.codehaus.janino with parameters of type Java.ArrayInitializer
Modifier
Constructor
Description
``
`NewInitializedArray(Location location, Java.ArrayType arrayType, Java.ArrayInitializer arrayInitializer)`

## Uses of Java.ArrayInitializer in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ArrayInitializer
Modifier and Type
Method
Description
`Java.ArrayInitializer`
DeepCopier.`copyArrayInitializer(Java.ArrayInitializer subject)`
`Java.ArrayInitializer`
DeepCopier.`copyOptionalArrayInitializer(Java.ArrayInitializer subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ArrayInitializer
Modifier and Type
Method
Description
`Java.ArrayInitializer`
DeepCopier.`copyArrayInitializer(Java.ArrayInitializer subject)`
`Java.ArrayInitializer`
DeepCopier.`copyOptionalArrayInitializer(Java.ArrayInitializer subject)`